/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.benutzerverwaltung.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.benutzerverwaltung.entity.RolleConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(RolleMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class RolleMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "rolleMeta";

  @Inject
  private transient Messages messages;

  public RolleMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return RolleConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return RolleConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getBeschreibungEinzahlMessageKey(){
    return RolleConstants.MESSAGE_KEY_BESCHREIBUNG_EINZAHL;
  }

  public String getBeschreibungMehrzahlMessageKey(){
    return RolleConstants.MESSAGE_KEY_BESCHREIBUNG_MEHRZAHL;
  }


  public String getBeschreibungEinzahlMessage(){
    return getMessage(getBeschreibungEinzahlMessageKey());
  }

  public String getBeschreibungMehrzahlMessage(){
    return getMessage(getBeschreibungMehrzahlMessageKey());
  }



  public boolean isBeschreibungRequired() {
    return !RolleConstants.BESCHREIBUNG_NULLABLE;
  }

  public java.lang.String getBeschreibungDefaultValue() {
    return RolleConstants.BESCHREIBUNG_DEFAULT_VALUE;
  }

  public int getBeschreibungMaxLength() {
    return RolleConstants.BESCHREIBUNG_MAX_LENGTH;
  }

  public String getNameEinzahlMessageKey(){
    return RolleConstants.MESSAGE_KEY_NAME_EINZAHL;
  }

  public String getNameMehrzahlMessageKey(){
    return RolleConstants.MESSAGE_KEY_NAME_MEHRZAHL;
  }


  public String getNameEinzahlMessage(){
    return getMessage(getNameEinzahlMessageKey());
  }

  public String getNameMehrzahlMessage(){
    return getMessage(getNameMehrzahlMessageKey());
  }



  public boolean isNameRequired() {
    return !RolleConstants.NAME_NULLABLE;
  }

  public String getNameDefaultValue() {
    return RolleConstants.NAME_DEFAULT_VALUE;
  }

  public int getNameMaxLength() {
    return RolleConstants.NAME_MAX_LENGTH;
  }

  public String getRolleArtEinzahlMessageKey(){
    return RolleConstants.MESSAGE_KEY_ROLLE_ART_EINZAHL;
  }

  public String getRolleArtMehrzahlMessageKey(){
    return RolleConstants.MESSAGE_KEY_ROLLE_ART_MEHRZAHL;
  }


  public String getRolleArtEinzahlMessage(){
    return getMessage(getRolleArtEinzahlMessageKey());
  }

  public String getRolleArtMehrzahlMessage(){
    return getMessage(getRolleArtMehrzahlMessageKey());
  }



  public boolean isRolleArtRequired() {
    return !RolleConstants.ROLLE_ART_NULLABLE;
  }

  public de.ivu.elect.business.benutzerverwaltung.entity.RolleArt getRolleArtDefaultValue() {
    return RolleConstants.ROLLE_ART_DEFAULT_VALUE;
  }



  public String getMandantEinzahlMessageKey(){
    return RolleConstants.MESSAGE_KEY_MANDANT_ID_EINZAHL;
  }

  public String getMandantEinzahlMessage(){
    return getMessage(getMandantEinzahlMessageKey());
  }

  public boolean isMandantRequired() {
    return !RolleConstants.MANDANT_ID_NULLABLE;
  }

}